CRMchat APIBeta
Telegram APIUpload

upload.getCdnFileHashes

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/upload.getCdnFileHashes

Get SHA256 hashes for verifying downloaded CDN files

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Get SHA256 hashes for verifying downloaded CDN files

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/upload.getCdnFileHashes" \  -H "Content-Type: application/json" \  -d '{    "params": {      "fileToken": "string",      "offset": 0    }  }'
{  "result": {    "_": "fileHash",    "offset": 0,    "limit": 0,    "hash": "string"  }}